#include <nsIPromptService.h>
#include <gtk/gtk.h>
#include <nsString.h>
#include <nsIWindowWatcher.h>
#include <nsIWebBrowserChrome.h>
#include <nsIEmbeddingSiteWindow.h>
#include <nsCOMPtr.h>
#include <nsIServiceManager.h>

#define NS_PROMPTSERVICE_CID \
 {0x95611356, 0xf583, 0x46f5, {0x81, 0xff, 0x4b, 0x3e, 0x01, 0x62, 0xc6, 0x19}}

#define NS_PROMPTLAUNCHERDLG_CONTRACTID "@mozilla.org/embedcomp/prompt-service;1"

class nsIDOMWindow;

class PromptService : public nsIPromptService
{
public:
    PromptService();
    virtual ~PromptService();

    NS_DECL_ISUPPORTS
    NS_DECL_NSIPROMPTSERVICE

private:
    GtkWindow* GetWindowForDOMWindow(nsIDOMWindow* aDOMWindow);
    void GetButtonLabel(PRUint32 aFlags, PRUint32 aPos,
                        const PRUnichar* aStringValue, nsAString &aLabel);
};
